SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (VPN)  >   GnuTLS Vendors:   gnutls.org
GnuTLS Error in ciphertext_to_compressed() Lets Remote Users Deny Service
SecurityTracker Alert ID:  1026828
SecurityTracker URL:  http://securitytracker.com/id/1026828
CVE Reference:   CVE-2012-1573   (Links to External Site)
Date:  Mar 21 2012
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 3.0.14 and prior versions
Description:   A vulnerability was reported in GnuTLS. A remote user can cause denial of service conditions.

The software does not properly process records containing data that is a multiple of the block size. A remote user can send specially crafted data to trigger a heap corruption error and cause the target service to crash.

The original advisory is available at:

http://blog.mudynamics.com/2012/03/20/gnutls-and-libtasn1-vulns/

Matthew Hall of Mu Dynamics reported this vulnerability.

Impact:   A remote user can cause the target service to crash.
Solution:   The vendor has issued a fix (3.0.15).

The vendor's advisory is available at:

http://article.gmane.org/gmane.comp.encryption.gpg.gnutls.devel/5912

Vendor URL:  www.gnu.org/software/gnutls/security.html (Links to External Site)
Cause:   Access control error
Underlying OS:   Linux (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Mar 28 2012 (Red Hat Issues Fix) GnuTLS Error in ciphertext_to_compressed() Lets Remote Users Deny Service   (bugzilla@redhat.com)
Red Hat has issued a fix for Red Hat Enterprise Linux 6.
Mar 28 2012 (Red Hat Issues Fix) GnuTLS Error in ciphertext_to_compressed() Lets Remote Users Deny Service   (bugzilla@redhat.com)
Red Hat has issued a fix for Red Hat Enterprise Linux 5.
Apr 30 2012 (Red Hat Issues Fix) GnuTLS Error in ciphertext_to_compressed() Lets Remote Users Deny Service   (bugzilla@redhat.com)
Red Hat has issued a fix for Red Hat Enterprise Virtualization.



 Source Message Contents

Date:  Wed, 21 Mar 2012 20:26:00 +0000
Subject:  GnuTLS


http://blog.mudynamics.com/2012/03/20/gnutls-and-libtasn1-vulns/

TLS record handling vulnerability in GnuTLS [MU-201202-01] [CVE-2012-1573]
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2014, SecurityGlobal.net LLC